Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.meta.jdbc
Class TableMetadata

    java.lang.Object
      org.modeshape.connector.meta.jdbc.TableMetadata

    @Immutable
    public class TableMetadata

extends Object

Container for table-level metadata. The fields in this class roughly parallel the information returned from the `DatabaseMetaData.getTables(String, String, String, String[])` method.

Constructor Summary
`TableMetadata(String name, String type, String description, String typeCatalogName, String typeSchemaName, String typeName, String selfReferencingColumnName, String referenceGenerationStrategyName)`

Method Summary
`String` | `getDescription()`
`String` | `getName()`
`String` | `getReferenceGenerationStrategyName()`
`String` | `getSelfReferencingColumnName()`
`String` | `getType()`
`String` | `getTypeCatalogName()`
`String` | `getTypeName()`
`String` | `getTypeSchemaName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableMetadata

    public TableMetadata(String name,
                         String type,
                         String description,
                         String typeCatalogName,
                         String typeSchemaName,
                         String typeName,
                         String selfReferencingColumnName,
                         String referenceGenerationStrategyName)

Method Detail

### getName

    public String getName()

  Returns:
    the table name (TABLE_NAME in the `DatabaseMetaData.getTables(String, String, String, String[])` result set).

### getType

    public String getType()

  Returns:
    the table type (TABLE_TYPE in the `DatabaseMetaData.getTables(String, String, String, String[])` result set).

### getDescription

    public String getDescription()

  Returns:
    the table description (REMARKS in the `DatabaseMetaData.getTables(String, String, String, String[])` result set).

### getTypeCatalogName

    public String getTypeCatalogName()

  Returns:
    the table types catalog name (TYPE_CAT in the `DatabaseMetaData.getTables(String, String, String, String[])` result set).

### getTypeSchemaName

    public String getTypeSchemaName()

  Returns:
    the table types schema name (TYPE_SCHEM in the `DatabaseMetaData.getTables(String, String, String, String[])` result set).

### getTypeName

    public String getTypeName()

  Returns:
    the table type name (TYPE_NAME in the `DatabaseMetaData.getTables(String, String, String, String[])` result set).

### getSelfReferencingColumnName

    public String getSelfReferencingColumnName()

  Returns:
    per the Javadoc for the DatabaseMetaData method, "the name of the designated 'identifier' column of a typed table" (SELF_REFERENCING_COL_NAME in the `DatabaseMetaData.getTables(String, String, String, String[])` result set).

### getReferenceGenerationStrategyName

    public String getReferenceGenerationStrategyName()

  Returns:
    the strategy for creating the values in the self-referencing column (REF_GENERATION in the `DatabaseMetaData.getTables(String, String, String, String[])` result set).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.